Skip to main content
GET
Get OAuth authorization URL

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Path Parameters

provider
enum<string>
required

Calendar provider to connect (google, outlook)

Available options:
google,
outlook,
icloud,
caldav,
exchange,
smart-we,
ics

Query Parameters

redirectUrl
string

URL to redirect to after OAuth completion (defaults to frontend URL)

Example:

"https://yourapp.com/calendar-success"

userId
string

User ID to connect for (admin only - connects calendar for specified user)

Example:

"user-uuid"

setAsCalendarSync
boolean

Whether to automatically set this connection as the calendar sync provider after successful OAuth. If the user already has a calendar sync provider, this will be ignored.

Example:

true

Response

200 - application/json

Authorization URL generated successfully

authUrl
string

OAuth authorization URL to redirect user to

Example:

"https://accounts.google.com/oauth/authorize?client_id=..."

provider
enum<string>

Calendar provider

Available options:
google,
outlook,
icloud,
caldav,
exchange,
smart-we,
ics
Example:

"google"